petsc-3.4.2 2013-07-02

# DMDASetOwnershipRanges

Sets the number of nodes in each direction on each process

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetOwnershipRanges(DM da, const PetscInt lx[], const PetscInt ly[], const PetscInt lz[])

Logically Collective on DMDA

### Input Parameter

| da | - The DMDA
| lx | - array containing number of nodes in the X direction on each process, or NULL. If non-null, must be of length da->m
| ly | - array containing number of nodes in the Y direction on each process, or NULL. If non-null, must be of length da->n
| lz | - array containing number of nodes in the Z direction on each process, or NULL. If non-null, must be of length da->p.

Note: these numbers are NOT multiplied by the number of dof per node.

### Keywords

distributed array

### See Also

DMDACreate(), DMDestroy(), DMDA

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages